"""empty message

Revision ID: 749b59eadde2
Revises: 8377bd552f4f
Create Date: 2021-02-13 18:35:24.967321

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '749b59eadde2'
down_revision = '8377bd552f4f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('settings', sa.Column('api_enigma', sa.String(length=400), nullable=True))
    op.add_column('settings', sa.Column('m3u', sa.String(length=400), nullable=True))
    op.create_index(op.f('ix_settings_api_enigma'), 'settings', ['api_enigma'], unique=False)
    op.create_index(op.f('ix_settings_m3u'), 'settings', ['m3u'], unique=False)
    op.add_column('subscriptions', sa.Column('password', sa.String(length=90), nullable=True))
    op.add_column('subscriptions', sa.Column('username', sa.String(length=90), nullable=True))
    op.create_index(op.f('ix_subscriptions_password'), 'subscriptions', ['password'], unique=False)
    op.create_index(op.f('ix_subscriptions_username'), 'subscriptions', ['username'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_subscriptions_username'), table_name='subscriptions')
    op.drop_index(op.f('ix_subscriptions_password'), table_name='subscriptions')
    op.drop_column('subscriptions', 'username')
    op.drop_column('subscriptions', 'password')
    op.drop_index(op.f('ix_settings_m3u'), table_name='settings')
    op.drop_index(op.f('ix_settings_api_enigma'), table_name='settings')
    op.drop_column('settings', 'm3u')
    op.drop_column('settings', 'api_enigma')
    # ### end Alembic commands ###
